at.chipkarte.client.bkf.soap

## Class AssessmentBildgebendeDiagnostikDoku

- Object
- - at.chipkarte.client.bkf.soap.AssessmentBildgebendeDiagnostikDoku

-     public class AssessmentBildgebendeDiagnostikDoku
      extends Object

  Enthält die Eingangsdaten zur Assessmentdokumentation der bildgebenden Diagnostik für den Aufruf der Funktion createAssessmentBildgebendeDiagnostikDoku.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AssessmentBildgebendeDiagnostikDoku()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getErgebnisKlinisch()` Ergebnis klinische Untersuchung.
    `String` | `getErgebnisMammo()` Ergebnis mammographische Untersuchung (MG-SCORE).
    `String` | `getErgebnisMRT()` Ergebnis MRT (MR-SCORE).
    `String` | `getErgebnisUS()` Ergebnis Ultraschall (US-SCORE).
    `String` | `getGesamtbeurteilung()` Gesamtbeurteilung (ABD-SCORE).
    `String` | `getInfoDatum()` Datum, ab dem der Befund versand- / abholbereit ist.
    `Long` | `getKonsultationsID()` Eindeutiger Bezeichner einer Konsultation.
    `String` | `getLeistungsdatum()` Datum der Leistung (Leistungsanfang/Leistungsbeginn).
    `String` | `getMammoDurchgefuehrt()` Mammographie im Assessment durchgeführt.
    `String` | `getSeite()` Seite.
    `String` | `getSvNummer()` Sozialversicherungsnummer der Patientin.
    `String` | `getVersionsnummer()` Version der Dokumentation.
    `String` | `getZusatzaufnahme()` Zusätzliche mammographische Bilder.
    `void` | `setErgebnisKlinisch(String ergebnisKlinisch)`
    `void` | `setErgebnisMammo(String ergebnisMammo)`
    `void` | `setErgebnisMRT(String ergebnisMRT)`
    `void` | `setErgebnisUS(String ergebnisUS)`
    `void` | `setGesamtbeurteilung(String gesamtbeurteilung)`
    `void` | `setInfoDatum(String infoDatum)`
    `void` | `setKonsultationsID(Long konsultationsID)`
    `void` | `setLeistungsdatum(String leistungsdatum)`
    `void` | `setMammoDurchgefuehrt(String mammoDurchgefuehrt)`
    `void` | `setSeite(String seite)`
    `void` | `setSvNummer(String svNummer)`
    `void` | `setVersionsnummer(String versionsnummer)`
    `void` | `setZusatzaufnahme(String zusatzaufnahme)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AssessmentBildgebendeDiagnostikDoku

          public AssessmentBildgebendeDiagnostikDoku()

  - ### Method Detail

    - #### getSvNummer

          public String getSvNummer()

      Sozialversicherungsnummer der Patientin.
      Angabe: Bedingt. Es muss entweder eine `svNummer` oder ein mit e-card erstelltes `cardToken` (Eingangsparameter der Funktion `createAssessmentBildgebendeDiagnostikDoku()` angegeben werden.
      Wird die SV-Nummer und ein CardToken angegeben, muss das CardToken mit der zur SV-Nummer gehörenden e-card erstellt worden sein.
      Format: 10-stellig
      Returns:
        SvNummer

    - #### setSvNummer

          public void setSvNummer(String svNummer)

    - #### getKonsultationsID

          public Long getKonsultationsID()

      Eindeutiger Bezeichner einer Konsultation.
      Angabe: Bedingt. Es muss entweder eine Konsultation oder ein Leistungsdatum angegeben werden.
      Mittels der Funktion `IBkfService.searchBkfKonsultationData(String, String, String, String)` können die relevanten Konsultation der Patientin zum Benutzer (Behandlungsdatum, Behandlungsfall-Code) abgefragt werden.
      Format: maximal 19-stellig
      ParameterID: 9004.
      Returns:
        KonsultationsID

    - #### setKonsultationsID

          public void setKonsultationsID(Long konsultationsID)

    - #### getLeistungsdatum

          public String getLeistungsdatum()

      Datum der Leistung (Leistungsanfang/Leistungsbeginn).
      Angabe: Bedingt. Es muss entweder eine Konsultation oder ein Leistungsdatum angegeben werden.
      Darf nicht in der Zukunft liegen.
      Bei Angabe einer Konsultation wird automatisch das Behandlungsdatum der Konsultation als Leistungsdatum verwendet.
      Format: TT.MM.JJJJ
      ParameterID: 9006.
      Returns:
        Leistungsdatum

    - #### setLeistungsdatum

          public void setLeistungsdatum(String leistungsdatum)

    - #### getVersionsnummer

          public String getVersionsnummer()

      Version der Dokumentation.
      Angabe: Muss.
      Mögliche Werte siehe `DokumentationVersionTypConstant`.
      ParameterID: 9003.
      Returns:
        Versionsnummer

    - #### setVersionsnummer

          public void setVersionsnummer(String versionsnummer)

    - #### getErgebnisKlinisch

          public String getErgebnisKlinisch()

      Ergebnis klinische Untersuchung.
      Angabe: Kann.
      Bei Mehrfachnennungen ist der Wert '5' ('sonstiges') auszuwählen. Mögliche Werte siehe `ErgebnisKlinischeUntersuchungTypConstant`.
      ParameterID: 0202
      Returns:
        ErgebnisKlinisch

    - #### setErgebnisKlinisch

          public void setErgebnisKlinisch(String ergebnisKlinisch)

    - #### getZusatzaufnahme

          public String getZusatzaufnahme()

      Zusätzliche mammographische Bilder.
      Angabe: Muss.
      Mögliche Werte siehe `JaNeinTypConstant`.
      ParameterID: 0204.
      Returns:
        Zusatzaufnahme

    - #### setZusatzaufnahme

          public void setZusatzaufnahme(String zusatzaufnahme)

    - #### getMammoDurchgefuehrt

          public String getMammoDurchgefuehrt()

      Mammographie im Assessment durchgeführt.
      Angabe: Muss.
      Mögliche Werte siehe `JaNeinTypConstant`.
      ParameterID: 0203
      Returns:
        MammoDurchgefuehrt

    - #### setMammoDurchgefuehrt

          public void setMammoDurchgefuehrt(String mammoDurchgefuehrt)

    - #### getErgebnisMammo

          public String getErgebnisMammo()

      Ergebnis mammographische Untersuchung (MG-SCORE).
      Angabe: Bedingt. Muss angegeben werden, wenn das Feld MammoDurchgefuehrt und/oder das Feld Zusatzaufnahme mit dem Wert '1' ('Ja') befüllt ist.
      Mögliche Werte siehe `ErgebnisMammographieTypConstant`.
      ParamterID: 0211
      Returns:
        ErgebnisMammo

    - #### setErgebnisMammo

          public void setErgebnisMammo(String ergebnisMammo)

    - #### getErgebnisUS

          public String getErgebnisUS()

      Ergebnis Ultraschall (US-SCORE).
      Angabe: Kann.
      Mögliche Werte siehe `ErgebnisUltraschallAssessmentTypConstant`.
      ParameterID: 0206
      Returns:
        ErgebnisUltraschall

    - #### setErgebnisUS

          public void setErgebnisUS(String ergebnisUS)

    - #### getErgebnisMRT

          public String getErgebnisMRT()

      Ergebnis MRT (MR-SCORE).
      Angabe: Kann.
      Mögliche Werte siehe `ErgebnisMRTAssessmentTypConstant`.
      ParameterID: 0207
      Returns:
        ErgebnisMRT

    - #### setErgebnisMRT

          public void setErgebnisMRT(String ergebnisMRT)

    - #### getGesamtbeurteilung

          public String getGesamtbeurteilung()

      Gesamtbeurteilung (ABD-SCORE).
      Angabe: Muss.
      Mögliche Werte siehe `GesamtbeurteilungABDTypConstant`.
      ParameterID: 0208
      Returns:
        Gesamtbeurteilung

    - #### setGesamtbeurteilung

          public void setGesamtbeurteilung(String gesamtbeurteilung)

    - #### getInfoDatum

          public String getInfoDatum()

      Datum, ab dem der Befund versand- / abholbereit ist.
      Angabe: Muss.
      Muss größer oder gleich dem Leistungsdatum und kleiner oder gleich dem aktuellen Datum + 1 Monat sein.
      Format: TT.MM.JJJJ
      ParameterID: 0210.
      Returns:
        InfoDatum

    - #### setInfoDatum

          public void setInfoDatum(String infoDatum)

    - #### getSeite

          public String getSeite()

      Seite.
      Angabe: Muss.
      Mögliche Werte siehe `TherapieseiteConstant`.
      ParameterID: 0212
      Returns:
        Seite

    - #### setSeite

          public void setSeite(String seite)